Use mobile social login
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.
This endpoint is a mobile social login interface, which uses the temporary credentials returned by the third-party mobile social login to log in and exchange the user's id_token and access_token. Please read the corresponding social login access process first.
Note: Depending on the application type you selected when creating the application in GenAuth and the exchange token authentication method configured in the application, different forms of client identity verification are required when calling this interface.
Click to expand details
You can find the Exchange token authentication method configuration item in Application - Self-built application - Application details - Application configuration - Other settings - Authorization configuration in the GenAuth console:
Single-page web applications and client applications are hidden, and the default value is
none, which is not allowed to be modified; backend applications and standard web applications can modify this configuration item.

When the exchange token authentication method is none
No additional operations are required to call this interface.
When the exchange token authentication method is client_secret_post
When calling this interface, the client_id and client_secret parameters must be passed in the body as conditions for verifying the client identity. Among them, client_id is the application ID, and client_secret is the application secret key.
When exchanging token authentication mode is client_secret_basic
When calling this interface, the authorization request header must be carried in the HTTP request header as a condition for verifying the client identity. The format of the authorization request header is as follows (where client_id is the application ID and client_secret is the application secret key):
Basic base64(<client_id>:<client_secret>)Result example:
Basic NjA2M2ZiMmYzY3h4eHg2ZGY1NWYzOWViOjJmZTdjODdhODFmODY3eHh4eDAzMjRkZjEyZGFlZGM3JS code example:
"Basic " + Buffer.from(client_id + ":" + client_secret).toString("base64");Method name
AuthenticationClient.signInByMobile
Request parameters
| Name | Type | Is it required | Default value | Description | Sample value | | ------------------------------------ | -------------------------------------------------------------------------------------------------------------- | -------------------------------------- | ------ | ------------------------ ...| wework | | connection | string | yes | - | Mobile social login type:
- apple: Apple mobile application
- wechat: WeChat mobile application
- alipay: Alipay mobile application
- wechatwork: WeChat mobile application for enterprises
- wechatwork_agency: WeChat mobile application for enterprises (agency development mode)
- lark_internal: Feishu mobile enterprise self-built application
- lark_public: Feishu mobile application store application
- lark_block: Feishu widget
- yidun: NetEase Yidun one-click login
- wechat_mini_program_code: WeChat mini program uses code to log in
- wechat_mini_program_phone : WeChat mini program uses mobile phone number to log in
- wechat_mini_program_code_and_phone: WeChat mini program uses code and mobile phone number to log in
- google: Google mobile social login
- facebook: Facebook mobile social login
- qq: QQ mobile social login
- weibo: Sina Weibo mobile social login
- baidu: Baidu mobile social login
- linkedin: LinkedIn mobile social login
- dingtalk: DingTalk mobile social login
- github: Github mobile social login
- gitee: Gitee mobile social login
- gitlab: GitLab mobile social login
- douyin: Douyin mobile social login
- kuaishou: Kuaishou mobile social login
- xiaomi: Xiaomi mobile social login
- line: LINE mobile social login
- slack: Slack mobile social login
- oppo: OPPO mobile social login
- huawei: Huawei mobile social login
- amazon: Amazon mobile social login
| wechat | | wechatPayload | <a SignInByWechatPayloadDto | No | - | Apple mobile social login data, required when connection is wechat. | | | applePayload | <a SignInByApplePayloadDto | No | - | WeChat mobile social login data, required when connection is apple. | | | alipayPayload | <a SignInByApplePayloadDto | No | - | WeChat mobile social login data, required when connection is apple.SignInByAlipayPayloadDto | No | - | Alipay mobile social login data, required when connection is alipay. | | | wechatworkPayload | <a SignInByWechatworkDto | No | - | Enterprise WeChat mobile social login data, required when connection is wechatwork. | | | wechatworkAgencyPayload | <a SignInByWechatworkAgencyPayloadDto | No | - | Enterprise WeChat (agent development mode) mobile social login data, required when connection is wechatwork_agency. | | | larkPublicPayload | <a SignInByLarkPublicPayloadDto | No | - | Social login data for Lark App Store mobile app. Required when connection is lark_public.